## ocaml-opus 0.1.0

=== examples/Makefile ===
# OCaml-Mad examples.
#
# Copyright 2003 by the Savonet team.
#
# $Id$

all:
	$(MAKE) -f Makefile.opus2wav $@

test:
	OCAMLRUNPARAM=b ./opus2wav test.opus test.wav

clean:
	rm -rf autom4te.cache config.log config.status autom4te.cache
	$(MAKE) -f Makefile.opus2wav clean

distclean: clean
	$(MAKE) -f Makefile.opus2wav distclean
	rm -f Makefile.opus2wav

=== debian/changelog ===
ocaml-opus (0.1.0-4build4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 08:17:06 +0200

ocaml-opus (0.1.0-4build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Jun 2017 10:09:38 +0100

ocaml-opus (0.1.0-4build2) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 12:55:44 +0000

ocaml-opus (0.1.0-4build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:48 +0000

ocaml-opus (0.1.0-4) unstable; urgency=low

  * Upload to unstable.
  * Force build-dep on ocaml-ogg >= 0.4.5 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:15:09 -0500

ocaml-opus (0.1.0-3) experimental; urgency=low

  * Bump build-dep version on libopus-dev. 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 16:57:03 -0500

ocaml-opus (0.1.0-2) experimental; urgency=low

  * Fixed debian/copyright. 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:00:54 -0500

ocaml-opus (0.1.0-1) experimental; urgency=low

  * Initial release. (Closes: #705821)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 10:49:21 -0500

=== debian/control ===
Source: ocaml-opus
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 libopus-dev (>= 1.0.1),
 ocaml-findlib (>= 1.2.4), 
 libogg-ocaml-dev (>= 0.4.5), 
 pkg-config
Standards-Version: 3.9.4
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-opus.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-opus.git

Package: libopus-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the opus library -- runtime files
 This package provides an interface to the opus library for
 OCaml programmers.
 .
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 This package contains only the shared runtime stub libraries.

Package: libopus-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libopus-dev, 
         libopus-ocaml (= ${binary:Version}), ocaml-findlib, , libogg-ocaml-dev,
         ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the opus library -- developpement files
 This package provides an interface to the opus library for
 OCaml programmers.
 .
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-opus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DEB_CONFIGURE_SCRIPT  := ./configure
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libopus-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status

## ocaml-opus 0.1.2

=== debian/changelog ===
ocaml-opus (0.1.2-2) unstable; urgency=medium

  * Install example
  * Fix VCS-Git URL

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 25 Jun 2018 13:39:34 +0200

ocaml-opus (0.1.2-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to use new upstream github repo
  * New upstream version 0.1.2
  * Update VCS-* to use salsa
  * Update standards-version to 4.1.4 (no change)
  * Update copyright
  * Bump compat level to 10
  * Fix spelling error in package description

 -- Kyle Robbertze <krobbertze@gmail.com>  Thu, 21 Jun 2018 19:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: ocaml-opus
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
+           Samuel Mimram <smimram@debian.org>,
+           Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper (>=10),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
+ dh-ocaml (>= 1.1.0),
  libopus-dev (>= 1.0.1),
- ocaml-findlib (>= 1.2.4), 
- libogg-ocaml-dev (>= 0.4.5), 
+ ocaml-findlib (>= 1.2.4),
+ libogg-ocaml-dev (>= 0.5.2),
  pkg-config
-Standards-Version: 3.9.4
+Standards-Version: 4.1.4
 Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-opus.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-opus.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-opus.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-opus
 
 Package: libopus-ocaml
 Architecture: any
@@ -34,11 +35,11 @@
 
 Package: libopus-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libopus-dev, 
+Depends: ${ocaml:Depends}, libopus-dev,
          libopus-ocaml (= ${binary:Version}), ocaml-findlib, , libogg-ocaml-dev,
          ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: OCaml interface to the opus library -- developpement files
+Description: OCaml interface to the opus library -- development files
  This package provides an interface to the opus library for
  OCaml programmers.
  .

## ocaml-opus 0.1.3

=== debian/changelog ===
ocaml-opus (0.1.3-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:30:51 +0000

ocaml-opus (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3
  * Move packaging to dh
  * Bump Standards-Version to 4.4.0 (bump compat to 12)
  * Update uploaders

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 26 Sep 2019 14:28:15 +0200

=== debian/control ===
Source: ocaml-opus
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper (>=12),
               debhelper-compat (=12),
               dh-ocaml (>= 1.1.0),
               libogg-ocaml-dev (>= 0.5.2),
               libopus-dev (>= 1.0.1),
               ocaml-findlib (>= 1.2.4),
               ocaml-nox,
               pkg-config
Standards-Version: 4.4.0
Homepage: http://savonet.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-opus.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-opus

Package: libopus-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the opus library -- runtime files
 This package provides an interface to the opus library for
 OCaml programmers.
 .
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 This package contains only the shared runtime stub libraries.

Package: libopus-ocaml-dev
Architecture: any
Depends: libogg-ocaml-dev,
         libopus-dev,
         libopus-ocaml (= ${binary:Version}),
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the opus library -- development files
 This package provides an interface to the opus library for
 OCaml programmers.
 .
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-opus.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	./configure --enable-debugging

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf ./configure -- --enable-debugging
	$(MAKE) all doc

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	$(MAKE) install DESTDIR=$(DESTDIR) \
		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
		OCAMLFIND_LDCONF=ignore
	dh_install

override_dh_auto_clean:
	dh_autoreconf_clean
	rm -rf .pc config.h Makefile src/Makefile src/META config.log config.status
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\/// \
  https://github.com/savonet/ocaml-opus/releases .*download/\d\S+/ocaml-opus-(\d\S+).tar.gz

## ocaml-opus 0.2.1

=== debian/changelog ===
ocaml-opus (0.2.1-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:53 +0100

ocaml-opus (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1
  * Drop patches fixed upstream
  * Add missing shlibs:Depends to -dev package

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 05 Jan 2022 12:03:28 +0200

ocaml-opus (0.2.0-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on big-endian architectures (Closes: #1000806)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 10:46:35 +0100

ocaml-opus (0.2.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Add Rules-Requires-Root: no
  * Update debian/watch

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 19:23:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ocaml-opus
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends: debhelper (>=12),
-               debhelper-compat (=12),
+Build-Depends:
+               debhelper-compat (= 13),
                dh-ocaml (>= 1.1.0),
-               libogg-ocaml-dev (>= 0.5.2),
-               libopus-dev (>= 1.0.1),
-               ocaml-findlib (>= 1.2.4),
+               libogg-ocaml-dev (>= 0.7.0),
+               libopus-dev (>= 1.3.0),
+               ocaml-dune,
+               libdune-ocaml-dev,
                ocaml-nox,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-opus.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-opus
@@ -37,6 +38,7 @@
          libopus-dev,
          libopus-ocaml (= ${binary:Version}),
          ocaml-findlib,
+         ${shlibs:Depends},
          ${misc:Depends},
          ${ocaml:Depends}
 Provides: ${ocaml:Provides}

## ocaml-opus 0.2.2

=== debian/changelog ===
ocaml-opus (0.2.2-2) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Kyle Robbertze ]
  * d/control: wrap-and-sort

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 13 Nov 2022 16:18:24 +0200

ocaml-opus (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * Bump standards-version to 4.6.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 12 Jul 2022 20:18:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends:
-               debhelper-compat (= 13),
-               dh-ocaml (>= 1.1.0),
+Build-Depends: debhelper-compat (= 13),
+               dh-ocaml,
+               libdune-ocaml-dev,
                libogg-ocaml-dev (>= 0.7.0),
                libopus-dev (>= 1.3.0),
                ocaml-dune,
-               libdune-ocaml-dev,
                ocaml-nox,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-opus.git
@@ -38,9 +37,9 @@
          libopus-dev,
          libopus-ocaml (= ${binary:Version}),
          ocaml-findlib,
-         ${shlibs:Depends},
          ${misc:Depends},
-         ${ocaml:Depends}
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the opus library -- development files
  This package provides an interface to the opus library for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p opus

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

=== debian/watch ===
version=4
https://github.com/savonet/ocaml-opus/releases .*/v?([0-9.]+)\.tar\.gz
